View Revisions: Issue #3617

Summary 0003617: FEM, post processing, vtk mesh, it is not possible to create a vtk mesh with gaps
Revision 2019-01-11 06:59 by berndhahnebach
Steps To Reproduce - open FEM 2D example
- select solver
- change "Beam Shell Result Output 3D" to true
- rerun analysis
- check Abs displacement colors in standard result object, they look fine.
- select the 3D solid result object
- create vtk pipe
- some error in report view is printed
- double click on the pipeline
- set mode "Surface wit edges"
- set field to "Displacement"
- set vector to "Magnitude"
- this does not look to be the right coloring ...

to reproduce by Python (tested with FreeCAD 0.18.15607) use:

# load 2D example file and set 3D output in solver
doc = FreeCAD.open(FreeCAD.ConfigGet("AppHomePath") + 'data/examples/FemCalculixCantilever2D.FCStd')

doc.FEMMeshGmsh.ViewObject.Visibility = False
doc.CalculiXccxTools.BeamShellResultOutput3D = True
doc.recompute()
# run the analysis
import FemGui
FemGui.setActiveAnalysis(doc.Analysis)
from femtools import ccxtools
fea = ccxtools.FemToolsCcx()
fea.update_objects()
fea.purge_results()
fea.run()
doc.Result_mesh.ViewObject.Visibility = False
# create vtk result pipline
import ObjectsFem
ObjectsFem.makePostVtkResult(doc, doc.CalculiX_static_results)
doc.recompute()
doc.FEMVtkResult.ViewObject.DisplayMode = 'Surface with Edges'
doc.FEMVtkResult.ViewObject.Field = 'DisplacementVectors'
doc.FEMVtkResult.ViewObject.VectorMode = 'Magnitude'
Revision 2019-01-11 06:58 by berndhahnebach
Steps To Reproduce - open FEM 2D example
- select solver
- change "Beam Shell Result Output 3D" to true
- rerun analysis
- check Abs displacement colors in standard result object, they look fine.
- select the 3D solid result object
- create vtk pipe
- some error in report view is printed
- double click on the pipeline
- set mode "Surface wit edges"
- set field to "Displacement"
- set vector to "Magnitude"
- this does not look to be the right coloring ...

to reproduce by Python (tested with FreeCAD 0.18.15607) use:

# load 2D example file and set 3D output in solver
doc = FreeCAD.open(FreeCAD.ConfigGet("AppHomePath") + 'data/examples/FemCalculixCantilever2D.FCStd')


doc.FEMMeshGmsh.ViewObject.Visibility = False
doc.CalculiXccxTools.BeamShellResultOutput3D = True
doc.recompute()
# run the analysis
import FemGui
FemGui.setActiveAnalysis(doc.Analysis)
from femtools import ccxtools
fea = ccxtools.FemToolsCcx()
fea.update_objects()
fea.purge_results()
fea.run()
doc.Result_mesh.ViewObject.Visibility = False
# create vtk result pipline
import ObjectsFem
ObjectsFem.makePostVtkResult(doc, doc.CalculiX_static_results)
doc.recompute()
doc.FEMVtkResult.ViewObject.DisplayMode = 'Surface with Edges'
doc.FEMVtkResult.ViewObject.Field = 'DisplacementVectors'
doc.FEMVtkResult.ViewObject.VectorMode = 'Magnitude'
Revision 2019-01-11 06:21 by berndhahnebach
Steps To Reproduce - open FEM 2D example
- select solver
- change "Beam Shell Result Output 3D" to true
- rerun analysis
- check Abs displacement colors in standard result object, they look fine.
- select the 3D solid result object
- create vtk pipe
- some error in report view is printed
- double click on the pipeline
- set mode "Surface wit edges"
- set field to "Displacement"
- set vector to "Magnitude"
- this does not look to be the right coloring ...

to reproduce by Python (tested with FreeCAD 0.18.15607) use:

# load 2D example file and set 3D output in solver
FreeCAD.open(FreeCAD.ConfigGet("AppHomePath") + 'data/examples/FemCalculixCantilever2D.FCStd')

App.ActiveDocument.FEMMeshGmsh.ViewObject.Visibility = False
App.ActiveDocument.CalculiXccxTools.BeamShellResultOutput3D = True
App.ActiveDocument.recompute()
# run the analysis
import FemGui
FemGui.setActiveAnalysis(App.ActiveDocument.Analysis)
from femtools import ccxtools
fea = ccxtools.FemToolsCcx()
fea.update_objects()
fea.purge_results()
fea.run()
App.ActiveDocument.Result_mesh.ViewObject.Visibility = False
# create vtk result pipline
import ObjectsFem
ObjectsFem.makePostVtkResult(App.ActiveDocument, App.ActiveDocument.CalculiX_static_results)
App.ActiveDocument.recompute()
App.ActiveDocument.FEMVtkResult.ViewObject.DisplayMode = 'Surface with Edges'
App.ActiveDocument.FEMVtkResult.ViewObject.Field = 'DisplacementVectors'
App.ActiveDocument.FEMVtkResult.ViewObject.VectorMode = 'Magnitude'
Revision 2018-09-25 21:30 by berndhahnebach
Steps To Reproduce - open FEM 2D example
- select solver
- change "Beam Shell Result Output 3D" to true
- rerun analysis
- check Abs displacement colors in standard result object, they look fine.
- select the 3D solid result object
- create vtk pipe
- some error in report view is printed
- double click on the pipeline
- set mode "Surface wit edges"
- set field to "Displacement"
- set vector to "Magnitude"
- this does not look to be the right coloring ...